org.eclipse.rdf4j.query.parser.serql

## Class AbstractASTVisitor

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.serql.AbstractASTVisitor

- All Implemented Interfaces:
    org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor
  Direct Known Subclasses:
    AnonymousVarGenerator, ASTVisitorBase

      public abstract class AbstractASTVisitor
      extends Object
      implements org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractASTVisitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTAnd node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTArgList node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTBasicPathExpr node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTBasicPathExprTail node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTBNode node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTBooleanConstant node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTBound node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTCompareAll node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTCompareAny node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTCompare node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTCompOperator node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTConstruct node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTConstructQuery node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTDatatype node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTEdge node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTExists node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTFrom node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTFunctionCall node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTGraphIntersect node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTGraphMinus node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTGraphUnion node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTInList node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTIn node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTIsBNode node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTIsLiteral node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTIsResource node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTIsURI node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLabel node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLangMatches node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLang node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLike node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLimit node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLiteral node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLocalName node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNamespaceDecl node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNamespace node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNodeElem node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNode node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNot node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNull node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTOffset node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTOptPathExpr node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTOptPathExprTail node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTOrderBy node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTOrderExpr node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTOr node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTPathExprList node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTPathExprUnion node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTProjectionElem node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTQName node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTQueryBody node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTQueryContainer node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTRegex node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTReifiedStat node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTSameTerm node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTSelect node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTSelectQuery node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTString node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTStr node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTTupleIntersect node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTTupleMinus node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTTupleUnion node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTURI node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTVar node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTWhere node, Object data)`
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.SimpleNode node, Object data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractASTVisitor

          public AbstractASTVisitor()

  - ### Method Detail

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.SimpleNode node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTQueryContainer node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNamespaceDecl node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTTupleUnion node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTTupleMinus node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTTupleIntersect node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTGraphUnion node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTGraphMinus node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTGraphIntersect node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTSelectQuery node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTSelect node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTProjectionElem node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTConstructQuery node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTConstruct node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTQueryBody node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTFrom node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTWhere node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTOrderBy node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTOrderExpr node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLimit node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTOffset node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTPathExprList node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTPathExprUnion node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTBasicPathExpr node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTOptPathExpr node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTBasicPathExprTail node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTOptPathExprTail node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTEdge node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNodeElem node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNode node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTReifiedStat node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTOr node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTAnd node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTBooleanConstant node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNot node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTBound node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTIsResource node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTIsLiteral node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTIsURI node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTIsBNode node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLangMatches node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTExists node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTSameTerm node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTCompare node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTCompareAny node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTCompareAll node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLike node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTRegex node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTIn node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTInList node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTCompOperator node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTVar node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTDatatype node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLang node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLabel node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNamespace node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLocalName node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTStr node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTFunctionCall node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTArgList node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTURI node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTQName node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTBNode node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTLiteral node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTString node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNull node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.